<!DOCTYPE html>
<!--
Tomato GUI
Copyright (C) 2006-2010 Jonathan Zarate
http://www.polarcloud.com/tomato/
Tomato VLAN GUI
Copyright (C) 2011 Augusto Bott
http://code.google.com/p/tomato-sdhc-vlan/
For use with Tomato Firmware only.
No part of this file may be used without permission.
-->
<html>
    <head>
        <meta http-equiv='content-type' content='text/html;charset=utf-8'>
        <meta name='robots' content='noindex,nofollow'>
        <title>[<% ident(); %>] Status</title>
        <link rel='stylesheet' type='text/css' href='mobile.css'>
        <script type='text/javascript' src='/tomato.js'></script>
        <script type='text/javascript' src='/interfaces.js'></script>
        <meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1">
        <script type='text/javascript'>
            //    <% nvstat(); %>
            //    <% etherstates(); %>
            wmo = {'ap':'Access Point','sta':'Wireless Client','wet':'Wireless Ethernet Bridge','wds':'WDS'};
            auth = {'disabled':'-','wep':'WEP','wpa_personal':'WPA Personal (PSK)','wpa_enterprise':'WPA Enterprise','wpa2_personal':'WPA2 Personal (PSK)','wpa2_enterprise':'WPA2 Enterprise','wpaX_personal':'WPA / WPA2 Personal','wpaX_enterprise':'WPA / WPA2 Enterprise','radius':'Radius'};
            enc = {'tkip':'TKIP','aes':'AES','tkip+aes':'TKIP / AES'};
            bgmo = {'disabled':'-','mixed':'Auto','b-only':'B Only','g-only':'G Only','bg-mixed':'B/G Mixed','lrs':'LRS','n-only':'N Only'};
        </script>
        <script type='text/javascript' src='/wireless.jsx?_http_id=<% nv(http_id); %>'></script>
        <script type='text/javascript' src='/status-data.jsx?_http_id=<% nv(http_id); %>'></script>
        <script type='text/javascript'>
            show_dhcpc = ((nvram.wan_proto == 'dhcp') || (((nvram.wan_proto == 'l2tp') || (nvram.wan_proto == 'pptp')) && (nvram.pptp_dhcp == '1')));
            show_codi = ((nvram.wan_proto == 'pppoe') || (nvram.wan_proto == 'l2tp') || (nvram.wan_proto == 'pptp') || (nvram.wan_proto == 'ppp3g'));
            show_radio = [];
            for (var uidx = 0; uidx < wl_ifaces.length; ++uidx) {
                if (wl_sunit(uidx)<0)
                    show_radio.push((nvram['wl'+wl_fface(uidx)+'_radio'] == '1'));
            }
            nphy = features('11n');
            function dhcpc(what)
            {
                form.submitHidden('dhcpc.cgi', { exec: what, _redirect: 'status-overview.asp' });
            }
            function serv(service, sleep)
            {
                form.submitHidden('/service.cgi', { _service: service, _redirect: '/ext/mobile.asp', _sleep: sleep });
            }
            function wan_connect()
            {
                serv('wan-restart', 5);
            }
            function wan_disconnect()
            {
                serv('wan-stop', 2);
            }
            function wlenable(uidx, n)
            {
                form.submitHidden('wlradio.cgi', { enable: '' + n, _nextpage: 'status-overview.asp', _nextwait: n ? 6 : 3, _wl_unit: wl_unit(uidx) });
            }
            var ref = new TomatoRefresh('/status-data.jsx', '', 0, 'status_overview_refresh');
            ref.refresh = function(text)
            {
                stats = {};
                try {
                    eval(text);
                }
                catch (ex) {
                    stats = {};
                }
                show();
            }
            function c(id, htm)
            {
                document.getElementById(id).innerHTML = htm;
            }
            
            function reboots()
            {
                if (confirm("Reboot?")) form.submitHidden('/tomato.cgi', { _reboot: 1, _commit: 0, _nvset: 0 });
            }
            
            function show()
            {
                c('cpu', stats.cpuload);
                c('uptime', stats.uptime);
                c('time', stats.time);
                c('wanip', stats.wanip);
                c('wanstatus', stats.wanstatus);
                c('wanuptime', stats.wanuptime);
                c('wannetmask', stats.wannetmask);
                c('wangateway', stats.wangateway);
                c('dns', stats.dns);
                
                for (var uidx = 0; uidx < wl_ifaces.length; ++uidx) {
                    if (wl_sunit(uidx)<0) {
                        c('radio'+uidx, wlstats[uidx].radio ? 'Enabled' : '<b>Disabled</b>');
                        c('rate'+uidx, wlstats[uidx].rate);
                        if (show_radio[uidx]) {
                            E('b_wl'+uidx+'_enable').disabled = wlstats[uidx].radio;
                            E('b_wl'+uidx+'_disable').disabled = !wlstats[uidx].radio;
                        }
                        c('channel'+uidx, stats.channel[uidx]);
                        if (nphy) {
                            c('nbw'+uidx, wlstats[uidx].nbw);
                        }
                        c('interference'+uidx, stats.interference[uidx]);
                        elem.display('interference'+uidx, stats.interference[uidx] != '');
                        if (wlstats[uidx].client) {
                            c('rssi'+uidx, wlstats[uidx].rssi || '');
                            c('noise'+uidx, wlstats[uidx].noise || '');
                            c('qual'+uidx, stats.qual[uidx] || '');
                        }
                    }
                    c('ifstatus'+uidx, wlstats[uidx].ifstatus || '');
                }
            }
            function earlyInit()
            {
                if ((stats.anon_enable == '-1') || (stats.anon_answer == '0'))
                    E('notice1').style.display = '';
                elem.display('b_dhcpc', show_dhcpc);
                elem.display('b_connect', 'b_disconnect', show_codi);
                if (nvram.wan_proto == 'disabled')
                    elem.display('wan-title', 'sesdiv_wan', 0);
                for (var uidx = 0; uidx < wl_ifaces.length; ++uidx) {
                    if (wl_sunit(uidx)<0)
                        elem.display('b_wl'+uidx+'_enable', 'b_wl'+uidx+'_disable', show_radio[uidx]);
                }
                ethstates();
                show();
            }
            
            function displayData() {
                
                 var a = nvstat.free / nvstat.size * 100.0;
                 var div = document.getElementById('routerInfo');
                 
                 switch(nvram.wan_proto)
                 {
                     case 'dhcp':
                        nvram.wan_proto = 'DHCP';
                        break;
                        
                     case 'pppoe':
                        nvram.wan_proto = 'PPPoE';
                        break;
                        
                     case 'static':
                        nvram.wan_proto = 'Static IP';
                        break;
                        
                     case 'pptp':
                        nvram.wan_proto = 'PPTP';
                        break;
                        
                     case 'l2tp':
                        nvram.wan_proto = 'L2TP';
                        break;
                     
                     case 'ppp3g':
                        nvram.wan_proto = '3G Modem';
                        break;                        
                        
                 }
                 
                 // Lets create stuff :)
                 div.innerHTML = '<div class="fluid"><h2>System Info</h2>' +
                 
                 '<div class="fieldname">Name:</div> <div class="fieldvalue">' + nvram.router_name + '</div> <br />' +
                 '<div class="fieldname">Model:</div> <div class="fieldvalue">' + nvram.t_model_name + '</div> <br />' +
                 '<div class="fieldname">Chipset:</div> <div class="fieldvalue">' + stats.systemtype + '</div> <br />' +
                 '<div class="fieldname">CPU Freq:</div> <div class="fieldvalue">' + stats.cpumhz + '</div> <br />' +
                 '<div class="fieldname">Flash Size:</div> <div class="fieldvalue">' + stats.flashsize + '</div> <br /><br />' +
                 
                 '<div class="fieldname">Time:</div> <div id="time" class="fieldvalue">' + stats.time + '</div> <br />' +
                 '<div class="fieldname">Uptime:</div> <div id="uptime" class="fieldvalue">' + stats.uptime + '</div> <br />' +
                 '<div class="fieldname">CPU load:</div> <div class="fieldvalue"><span id="cpu">' + stats.cpuload + ' </span> <b>(1 / 5 / 10 min)</b></div> <br />' +
                 '</div>' +
                 
                 // Second Fluid Table
                 '<div class="fluid"><h2>WAN</h2>' +
                 '<div class="fieldname">MAC Address:</div> <div class="fieldvalue">' + nvram.wan_hwaddr + '</div> <br />' +
                 '<div class="fieldname">Connection Type:</div> <div class="fieldvalue">' + nvram.wan_proto + '</div> <br />' +
                 '<div class="fieldname">IP Address:</div> <div id="wanip" class="fieldvalue">' + stats.wanip + '</div> <br />' +
                 '<div class="fieldname">Subnet Mask:</div> <div id="wannetmask" class="fieldvalue">' + stats.wannetmask + '</div> <br />' +
                 '<div class="fieldname">Gateway:</div> <div id="wangetway" class="fieldvalue">' + stats.wangateway + '</div> <br />' +
                 '<div class="fieldname">DNS:</div> <div id="dns" class="fieldvalue">' + stats.dns + '</div> <br />' +
                 '<div class="fieldname">MTU:</div> <div id="" class="fieldvalue">' + nvram.wan_run_mtu + '</div> <br /><br />' +
                 
                 '<div class="fieldname">Status:</div> <div id="wanstatus" class="fieldvalue">' + stats.wanstatus + '</div> <br />' +
                 '<div class="fieldname">Link Uptime:</div> <div id="wanuptime" class="fieldvalue">' + stats.wanuptime + '</div> <br />' +
                 
                 '</div>';
                 
            }
                 
            function init()
            {

                displayData();
                ref.initPage(3000, 3);

            }
        </script>
    </head>
    <body onload='init()'>
    
        <div id="container">
        <div id="head">
            <div class="right">Router Name: <% ident(); %></div>
            <div class="title">Tomato</div>
            <div class="version">Version <% version(); %> by shibby</div>
        </div>

        <div class="content">
        
            <div id="routerInfo"></div>
           
            <script type='text/javascript'>
                            for (var uidx = 0; uidx < wl_ifaces.length; ++uidx) {
                                u = wl_fface(uidx);
                                W('<div class="fluid"><h2>Wireless');
                                if (wl_ifaces.length > 0)
                                    W(' (' + wl_display_ifname(uidx) + ')');
                                W('</h2>');
                                sec = auth[nvram['wl'+u+'_security_mode']] + '';
                                if (sec.indexOf('WPA') != -1) sec += ' + ' + enc[nvram['wl'+u+'_crypto']];
                                wmode = wmo[nvram['wl'+u+'_mode']] + '';
                                if ((nvram['wl'+u+'_mode'] == 'ap') && (nvram['wl'+u+'_wds_enable'] * 1)) wmode += ' + WDS';
                                
                                W('<div class="fieldname">MAC Address:</div> <div class="fieldvalue">' +  nvram['wl'+u+'_hwaddr'] + '</div> <br />');
                                W('<div class="fieldname">Mode:</div> <div class="fieldvalue">' +  wmode + '</div> <br />');
                                
                                if (wl_sunit(uidx) <= 0) { 
                                    W('<div class="fieldname">Network Mode:</div> <div class="fieldvalue">' +  bgmo[nvram['wl'+u+'_net_mode']] + '</div> <br />');
                                }
                                
                                W('<div class="fieldname">Interface Status:</div> <div class="fieldvalue">' +  wlstats[uidx].ifstatus + '</div> <br />');
                                
                                if (wl_sunit(uidx)<=0) {
                                    W('<div class="fieldname">Radio:</div> <div class="fieldvalue">' + ((wlstats[uidx].radio == 0) ? '<b>Disabled</b>' : 'Enabled') + '</div> <br />');
                                }
                                
                                W('<div class="fieldname">SSID:</div> <div class="fieldvalue">' +  nvram['wl'+u+'_ssid'] + '</div> <br />');
                                
                                if (nvram['wl'+u+'_mode'] == 'ap') { 
                                    W('<div class="fieldname">Broadcast:</div> <div class="fieldvalue">' + ((nvram['wl'+u+'_closed'] == 0) ? 'Enabled' : '<b>Disabled</b>') + '</div> <br />');
                                }
                                
                                W('<div class="fieldname">Security:</div> <div class="fieldvalue">' +  sec + '</div> <br />');
                                
                                if (wl_sunit(uidx)<=0) {
                                    W('<div class="fieldname">Channel:</div> <div class="fieldvalue">' +  stats.channel[uidx] + '</div> <br />');
                                }
                                
                                if ((!nphy) || (wl_sunit(uidx)<=0)) {
                                    W('<div class="fieldname">Channel Width:</div> <div class="fieldvalue">' +  wlstats[uidx].nbw + '</div> <br />');
                                }
                                
                                if ((stats.interference[uidx] != '') || (wl_sunit(uidx)<=0)) {
                                    W('<div class="fieldname">Interference:</div> <div class="fieldvalue">' +  stats.interference[uidx] + '</div> <br />');
                                }
                                
                                if (wl_sunit(uidx)<=0) { W('<div class="fieldname">Rate:</div> <div class="fieldvalue">' +  wlstats[uidx].rate + '</div> <br />'); }
                                if ((!wlstats[uidx].client) || (wl_sunit(uidx)>=0)) { W('<div class="fieldname">Noise:</div> <div class="fieldvalue">' +  wlstats[uidx].noise + '</div> <br />'); }

                                
                                W('</div>');
                            }
                        </script>
        
             <div class="nofluid center">
                   <h2>Router Control</h2>
                      <a href="javascript:wan_connect()" class="btn"><i class="icon-share-alt icon-white"></i> Connect</a>
                      <a href="javascript:wan_disconnect()" class="btn"><i class="icon-stop icon-white"></i> Disconnect</a>
                      <a href="javascript:reboots()" class="btn"><i class="icon-off icon-white"></i> Restart</a>
             </div>

        </div>

        <div class="footer">
            CopyRight &copy; 2013 <a href="http://tomatousb.org">Tomato USB Project</a> <br />
            Designed and Coded by Jacky - <a href="http://prahec.com/">http://prahec.com/</a>
        </div>
    </div>
</html>
